#include <iostream>

using namespace std;

int main()
{
    /*string ab;
    cin >> ab;
    char a = ab[0];
    char b = ab[1];
    int n1, n2;
    cin >> n1 >> n2;*/
    char a = 'h', b = 'e';
    int n1 = 1000, n2 = 1001;

    for(int i = 0; i < 100000; i++) {
        for(int j = 0; j < 10000; j++) {
            if(n1 < n2) {
                int pom = n2;
                n2 = n1;
                n1 = pom;
                char pomc = a;
                a = b;
                b = pomc;
            }else {
                int pom = n1;
                n1 = pom;
                char pomc = b;
                b = pomc;
            }
        }
    }
    if(n1 < n2) {
        int pom = n2;
        n2 = n1;
        n1 = pom;
        char pomc = a;
        a = b;
        b = pomc;
    }
    if(n1-n2 > 1) {
        cout << "nemoguce";
    }else {
        for(int i = 0; i < n1+n2; i++) {
            if(i%2 == 0) {
                cout << a;
            }else {
                cout << b;
            }
        }
    }
}